import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:tim_ui_kit_calling_plugin/tim_ui_kit_calling_plugin.dart';

void main() {
  runApp(MaterialApp(
    navigatorKey: TUICalling.navigatorKey,
    home: Home(),
  ));
}

class Home extends StatefulWidget {
  const Home({Key? key}) : super(key: key);

  @override
  _HomeState createState() => _HomeState();
}

class _HomeState extends State<Home> {
  final _calling = TUICalling();

  @override
  void initState() {
    super.initState();
    final userID = '1234756';
    final userSig = ''; // userSig
    final sdkAppId = 0; // 控制台申请的sdkAppID
    _calling.init(sdkAppID: sdkAppId, userID: userID, userSig: userSig);
    _calling.enableFloatingWindow();
  }

  @override
  Widget build(BuildContext context) {
    // TODO: implement build
    // throw UnimplementedError();
    return Container();
  }
}
